Commit 528ef72c authored by Arnaud Blanchard's avatar Arnaud Blanchard

Use prefix bash to have the scripts name in the process monitoring

parent 470ac958
......@@ -19,25 +19,24 @@ set -o pipefail #Error if a pipe fail
#Bracket to be sure the file is fully loaded before excuting
echo
echo "Standard blaar install"
echo "======================"
echo "Standard blaar install on Mac OSX"
echo "================================="
echo
echo "Check that there is no conflicting directories"
[ -d blaar ] && { echo "blaar directory already exist. Remove it or change the current install directory."; exit 1; }
[ -d blaar_build ] && { echo "blaar_build directory already exist. Remove it or change the current install directory."; exit 1; }
echo
echo "Install standard packages"
echo "-------------------------"
echo
hash brew || {
echo "Install the package manager homebrew (http://brew.sh)"
/usr/bin/ruby -e "$(curl -fsSL https://raw.githubusercontent.com/Homebrew/install/master/install)"
}
echo
# if it install fail it may be because it needs upgrade
# if install fail it may be because it needs upgrade
brew install git cmake doxygen libpng libjpeg gnuplot --with-qt fftw libsndfile || brew upgrade git cmake doxygen libpng libjpeg gnuplot --with-qt fftw libsndfile #note:only git and cmake are really required
echo
echo "Download blaar sources"
echo "----------------------"
echo
git clone https://framagit.org/blaar/blaar
echo
......@@ -50,17 +49,15 @@ echo
git submodule add https://framagit.org/blaar/coreaudio.git
echo
echo "Install and test each module"
echo "----------------------------"
echo
./install.sh all
./check_all.sh
echo
echo "Update your .bash_profile"
echo "-------------------------"
echo
developer_tools/update_bash_profile.sh ~.bash_profile
developer_tools/update_bash_profile.sh ~/.bash_profile
echo
echo "**Success installing standard blaar**"
echo " Success installing standard **blaar**"
echo
}
......
#Use your $PATH to find bash
#!/usr/bin/env bash
# Basic Libraries And Applications for Robotics (BLAAR)
# Copyright ETIS — ENSEA, University of Cergy-Pontoise, CNRS (2011 - 2017)
# Author: Arnaud Blanchard
......
#Use your $PATH to find bash
#!/usr/bin/env bash
# Basic Libraries And Applications for Robotics (BLAAR)
# Copyright ETIS — ENSEA, University of Cergy-Pontoise, CNRS (2011 - 2017)
# Author: Arnaud Blanchard
......@@ -30,8 +28,8 @@ blaar_parse_args "$@"
[ $output ] && output_option="--output=$output" || output_option=""
[ $frequency ] && frequency_option="-F $frequency" || frequency_option=""
i_sound.sh -o:sound$$ -s$size -S$samplerate $device_option $filename_option $frequency_option|
blaar_module fftw f_fftw_spectrum $output_option
bash i_sound.sh -o:sound$$ -s$size -S$samplerate $device_option $filename_option $frequency_option |
f_fftw_spectrum $output_option
blc_channels --unlink /sound$$
......
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment